package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingEnterpriseSmsPackage;

public interface TabBillingEnterpriseSmsPackageMapper {
    /**
     * 根据主键删除
     *
     * @param enterpriseSmsPackageId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer enterpriseSmsPackageId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingEnterpriseSmsPackage record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingEnterpriseSmsPackage record);

    /**
     * 根据主键查询
     *
     * @param enterpriseSmsPackageId 主键
     * @return 实体对象
     */
    TabBillingEnterpriseSmsPackage selectByPrimaryKey(Integer enterpriseSmsPackageId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingEnterpriseSmsPackage record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingEnterpriseSmsPackage record);
}