package com.gic.enterprise.service;

import com.gic.enterprise.entity.TabBillingPayInfo;
import com.gic.enterprise.qo.BillListQueryQO;
import com.github.pagehelper.Page;

/**
 * 支付信息
 * @ClassName: BillingPayInfoService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 1:59 PM 
 */
public interface BillingPayInfoService {

    /**
     * 根据主键查询单条
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param billingPayInfoId 
     * @return  com.gic.enterprise.entity.TabBillingPayInfo 
      */
    TabBillingPayInfo getById(Integer billingPayInfoId);

    /**
     * 分页查询为开票单据列表数据
     * @Title: listBilling 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.github.pagehelper.Page<com.gic.enterprise.entity.TabBillingPayInfo> 
      */
    Page<TabBillingPayInfo> listBilling(BillListQueryQO params);
}
