package com.gic.enterprise.service.impl;

import com.gic.enterprise.dao.mapper.TabBillingPayInfoMapper;
import com.gic.enterprise.entity.TabBillingPayInfo;
import com.gic.enterprise.qo.BillListQueryQO;
import com.gic.enterprise.service.BillingPayInfoService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("billingPayInfoService")
public class BillingPayInfoServiceImpl implements BillingPayInfoService{
    @Autowired
    private TabBillingPayInfoMapper tabBillingPayInfoMapper;
    @Override
    public TabBillingPayInfo getById(Integer billingPayInfoId) {
        return tabBillingPayInfoMapper.selectByPrimaryKey(billingPayInfoId);
    }

    @Override
    public Page<TabBillingPayInfo> listBilling(BillListQueryQO params) {
        PageHelper.startPage(params.getCurrentPage(), params.getPageSize());
        List<TabBillingPayInfo> list = tabBillingPayInfoMapper.listBill(params);
        return (Page<TabBillingPayInfo>) list;
    }
}
