package com.gic.enterprise.constant;

/**
 * 审核结果
 * @ClassName: BillingAuditStatusEnum
 * @Description:  
 * @author zhiwj
 * @date 2019/8/15 9:19
 */
public enum BillingAuditStatusEnum {

    AUDITING(1, "审核中"),
    PASS(2, "已完成"),
    FAIL(3, "审核失败"),
    ;

    private Integer code;
    private String msg;

    BillingAuditStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
