package com.gic.enterprise.constant;

/**
 * 订单状态
 * @ClassName: BillingOrderStatusEnum
 * @Description:
 * @author zhiwj
 * @date 2019/8/14 16:23
 */
public enum BillingOrderStatusEnum {
    //     0：已关闭  1:待支付，2：已完成，3：审核中，4：审核失败
    CLOSE(0, "已关闭"),
    WAIT_PAY(1, "待支付"),
    FINISH(2, "已完成"),
    AUDITING(3, "审核中"),
    AUDIT_FAIL(4, "审核失败"),
    ;
    private Integer code;
    private String msg;

    BillingOrderStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
