package com.gic.enterprise.service.outer;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.dto.BillingCouponCardDTO;
import com.gic.enterprise.entity.TabBillingCouponCard;
import com.gic.enterprise.service.BillingCouponCardApiService;
import com.gic.enterprise.service.BillingCouponCardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * 
 * @ClassName: BillingCouponCardApiServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2019/8/14 18:10
 */
@Service("billingCouponCardApiService")
public class BillingCouponCardApiServiceImpl implements BillingCouponCardApiService {

    @Autowired
    private BillingCouponCardService billingCouponCardService;

    @Override
    public ServiceResponse<Page<BillingCouponCardDTO>> listBillingCouponCard(Integer enterpriseId, Date startTime, Date endTime) {
        com.github.pagehelper.Page<TabBillingCouponCard> page = billingCouponCardService.listBillingCouponCard(enterpriseId, startTime, endTime);
        Page<BillingCouponCardDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, BillingCouponCardDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<Page<BillingCouponCardDTO>> listBillingCouponCardEnable(Integer enterpriseId, Integer applicableProductCode) {
        return null;
    }

    @Override
    public ServiceResponse<BillingCouponCardDTO> getBillingCouponCard(Integer couponCardId) {
        return null;
    }
}
